## Gtex Initialization and Finalization Gtex Initialization and Finalization |

## Functions

void | gtex_init ()
void | gtex_finalize ()

## Includes

    #include <gtex.h>

## Description

## Functions

### gtex_init ()

    void
    gtex_init (void);

Initializes the application (e.g. for the internationalization).

This function can be called several times, but is meant to be called at the beginning of `main()`, before any other Tepl function call.

This function also calls `tepl_init()`.

### gtex_finalize ()

    void
    gtex_finalize (void);

Free the resources allocated by this application. For example it unrefs the singleton objects.

This function also calls `tepl_finalize()`.

It is not mandatory to call this function, it's just to be friendlier to memory debugging tools. This function is meant to be called at the end of `main()`. It can be called several times.